//--------------------------------------------------------------------------------------------
//
//			Generic TFilter class. Does nothing!
//
//--------------------------------------------------------------------------------------------

#if 0
#include "Flags.h"
#if __x86
#include <stl.h>
#else
#include <vector.h>
#endif
#include "TBitmap.h"
#include "Document.h"
#include "Exceptions.h"
#include "GraphicsTypes.h"
#endif
#include <InterfaceKit.h>
#include <Debug.h>
#include "BaseFilter.h"
#include <Application.h>

#if DEBUG
#define VERIFY(expression) if (!(expression)) ASSERT(false)
#else
#define VERIFY(expression) expression
#endif
#include "FilterViews.h"

TFilter::TFilter (void) {
 fChannelsBits = TFILTER_CHANNEL_RGB;
 fAbortRequest = false;
}

TFilter::TFilter (BMessage *archive) {
 VERIFY (B_OK == archive->FindInt32 ("Channels", &fChannelsBits));
 fAbortRequest = false;
}

TFilter::~TFilter () {
}

void TFilter::SetChannels(int32 ChannelsBits, bool value) {
 if (value)
 	fChannelsBits = ChannelsBits;
 else
 	fChannelsBits &= ~ChannelsBits;
}

status_t TFilter::Archive (BMessage *into, bool deep = true) const {
	status_t	res = BArchivable::Archive (into, deep);
	if (res == B_OK) {
		VERIFY (B_OK == (res =into->AddInt32 ("Channels", fChannelsBits)));
	}
	return res;
}
